%define upstream_name    BioPerl
%define upstream_version 1.7.8

%global __provides_exclude_from ^%{_docdir}
%global __requires_exclude_from ^%{_docdir}
%global __requires_exclude perl\\(Bio::Expression::Contact\\)|perl\\(Bio::Expression::DataSet\\)|perl\\(Bio::Expression::FeatureSet\\)|perl\\(Bio::Expression::Platform\\)|perl\\(Bio::Expression::Sample\\)|perl\\(TestInterface\\)
%global __provides_exclude perl\\(Error\\)|perl\\(Error::Simple\\)|perl\\(Error::subs\\)|perl\\(TestInterface\\)|perl\\(TestObject\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    BioPerl core modules
Group:      Development/Perl
License:    Artistic
Url:        https://bioperl.org
#Source0:    https://bioperl.org/DIST/%{upstream_name}-%{upstream_version}.tar.gz
Source0:    https://cpan.metacpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyDBM_File)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(DB_File)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Stag)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Dumpvalue)
BuildRequires: perl(Error)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FileHandle)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Graph::Directed)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Pipe)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Math::BigFloat)
BuildRequires: perl(Module::Build)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Set::Scalar)
BuildRequires: perl(Storable)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(Test::Weaken)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(Tie::Handle)
BuildRequires: perl(Tie::RefHash)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(UNIVERSAL)
BuildRequires: perl(URI)
BuildRequires: perl(XML::DOM)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXML::Reader)
BuildRequires: perl(XML::Parser::PerlSAX)
BuildRequires: perl(XML::SAX)
BuildRequires: perl(XML::SAX::Base)
BuildRequires: perl(XML::SAX::Writer)
BuildRequires: perl(XML::Twig)
BuildRequires: perl(XML::Writer)
BuildRequires: perl(YAML)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(integer)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-bioperl <= 1.6.901
Provides:   perl-bioperl

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%check
# remove network test:
rm -f t/SeqIO/bsml_sax.t
make test

%install
%make_install

# correct permissions
find %{buildroot}%{perl_vendorlib}/Bio/ -name "*.pm" -exec chmod 644 {} \;

# clean doc
executables='.*\(\.\(pl\|cgi\)\|pdf2index\|dbfetch\)$'
for dir in examples;
do
	find $dir -type f -regex $executables | xargs chmod 644
	find $dir -type f -regex $executables | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|'
	find $dir -type f ! -regex $executables | xargs chmod 644
	find $dir -type f | xargs perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;'
done

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Bio/
%{perl_vendorlib}/BioPerl.pm
%{_mandir}/*/*
%{_bindir}/bp*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.7.8-4.mga10
+ Revision: 2211847
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 1.7.8-3.mga9
+ Revision: 1830460
- Mageia 9 Mass Rebuild

* Mon Apr 19 2021 tv <tv> 1.7.8-2.mga9
+ Revision: 1716938
- update to 1.78

* Tue Feb 18 2020 umeabot <umeabot> 1.7.7-2.mga8
+ Revision: 1539579
- Mageia 8 Mass Rebuild

* Sun Dec 08 2019 tv <tv> 1.7.7-1.mga8
+ Revision: 1465284
- update to 1.7.7

* Fri Feb 15 2019 tv <tv> 1.7.5-2.mga7
+ Revision: 1367305
- remove network test
- update BRs
- new release

* Fri Jan 25 2019 daviddavid <daviddavid> 1.7.2-2.mga7
+ Revision: 1360625
- add/rediff upstream patch to remove Bio::SeqIO::entrezgene as it is move
  to existing Bio-ASN1-entrezgene distribution since release 1.73

* Mon Oct 22 2018 tv <tv> 1.7.2-1.mga7
+ Revision: 1323612
- update to 1.007002

* Wed Sep 19 2018 umeabot <umeabot> 1.6.924-11.mga7
+ Revision: 1265785
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.6.924-10.mga6
+ Revision: 1022729
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.6.924-9.mga6
+ Revision: 950849
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 sander85 <sander85> 1.6.924-8.mga5
+ Revision: 798908
- Remove Bio::SeqFeature::Annotated from exclusion list

* Tue Nov 25 2014 sander85 <sander85> 1.6.924-7.mga5
+ Revision: 798897
- Temporarily exclude Bio::SeqFeature::Annotated

* Tue Nov 25 2014 sander85 <sander85> 1.6.924-6.mga5
+ Revision: 798893
- Exclude deprecated modules

* Thu Oct 23 2014 danf <danf> 1.6.924-5.mga5
+ Revision: 792836
- Stop adding requires and provides from examples

* Sat Oct 18 2014 umeabot <umeabot> 1.6.924-4.mga5
+ Revision: 788272
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.6.924-3.mga5
+ Revision: 750988
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.924-2.mga5
+ Revision: 683605
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Jul 11 2014 sander85 <sander85> 1.6.924-1.mga5
+ Revision: 651277
- update to 1.6.924

* Tue Feb 25 2014 jquelin <jquelin> 1.6.923-1.mga5
+ Revision: 596900
- adding missing buildrequires:
- update to 1.6.923

* Fri Oct 18 2013 umeabot <umeabot> 1.6.901-5.mga4
+ Revision: 509343
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.901-4.mga3
+ Revision: 363367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 25 2011 jquelin <jquelin> 1.6.901-3.mga2
+ Revision: 171887
- fix obsoletes

* Thu Oct 20 2011 jquelin <jquelin> 1.6.901-2.mga2
+ Revision: 156795
- dist renamed upstream (once again)
- dist renamed upstream (once again)

* Wed Jun 22 2011 jquelin <jquelin> 1.6.901-1.mga2
+ Revision: 112127
- update to 1.6.901

* Sat Jun 11 2011 spuhler <spuhler> 1.6.1-3.mga2
+ Revision: 104043
- increase rel for rebuild

* Thu Jan 27 2011 jquelin <jquelin> 1.6.1-2.mga1
+ Revision: 42066
- updating buildrequires:
- rebuild
- mageia rebuild
- imported package perl-bioperl

